- Home
- About
- Testimonials
- Demos
- Download
- Documentation
- Blogs
- Forum
- Support

Packages: default System System.Caching System.Collections System.Data System.Data.ActiveRecord System.Data.ActiveRecord.Relations System.Data.ActiveRecord.Scaffold System.Data.ActiveReecord.Scaffold.InputBuilder System.Data.Commom.Sqlite System.Data.Common System.Data.Common.Mssql System.Data.Common.Mysql System.Data.Common.Oracle System.Data.Common.Pgsql System.Data.Common.Sqlite System.Data.DataGateway System.Data.SqlMap System.Data.SqlMap.Configuration System.Data.SqlMap.Statements System.Exceptions System.I18N System.IO System.Security System.Util System.Web System.Web.Services System.Web.UI System.Web.UI.ActiveControls System.Web.UI.WebControls System.Web.UI.WebControls.assets System.Xml Classes: IDataSource IItemDataRenderer IRepeatInfoUser TActiveFileUpload TBaseDataList TBaseValidator TBoundColumn TBulletedList TBulletedListDisplayMode TBulletedListEventParameter TBulletStyle TButton TButtonColumn TButtonColumnType TButtonType TCaptcha TCaptchaValidator TCheckBox TCheckBoxColumn TCheckBoxList TCircleHotSpot TClientScript TClientScriptLoader TClientSideValidationSummaryOptions TColorPicker TColorPickerClientSide TColorPickerMode TCompareValidator TCompleteWizardStep TConditional TContent TContentDirection TContentPlaceHolder TCustomValidator TDataBoundControl TDataGrid TDataGridColumn TDataGridColumnCollection TDataGridCommandEventParameter TDataGridItem TDataGridItemCollection TDataGridItemEventParameter TDataGridItemRenderer TDataGridPageChangedEventParameter TDataGridPager TDataGridPagerButtonType TDataGridPagerEventParameter TDataGridPagerMode TDataGridPagerPosition TDataGridPagerStyle TDataGridSortCommandEventParameter TDataList TDataListCommandEventParameter TDataListItem TDataListItemCollection TDataListItemEventParameter TDataListItemRenderer TDataRenderer TDataSourceControl TDataSourceSelectParameters TDataSourceView TDataTypeValidator TDatePicker TDatePickerClientScript TDatePickerInputMode TDatePickerMode TDatePickerPositionMode TDisplayStyle TDraggable TDropContainer TDropDownList TDropDownListColumn TEditCommandColumn TEmailAddressValidator TExpression TFileUpload TFont THiddenField THorizontalAlign THotSpot THotSpotCollection THotSpotMode THtmlArea THtmlElement THyperLink THyperLinkColumn TImage TImageButton TImageClickEventParameter TImageMap TImageMapEventParameter TInlineFrame TInlineFrameAlign TInlineFrameScrollBars TItemDataRenderer TJavascriptLogger TKeyboard TLabel TLinkButton TListBox TListControl TListControlValidator TListItem TListItemCollection TListItemType TListSelectionMode TLiteral TLiteralColumn TMarkdown TMetaTag TMetaTagCollection TMultiView TOutputCache TOutputCacheCalculateKeyEventParameter TOutputCacheCheckDependencyEventParameter TPager TPagerButtonType TPagerMode TPagerPageChangedEventParameter TPanel TPanelStyle TPlaceHolder TPolygonHotSpot TRadioButton TRadioButtonList TRangeValidationDataType TRangeValidator TRatingList TReadOnlyDataSource TReadOnlyDataSourceView TRectangleHotSpot TRegularExpressionValidator TRepeatDirection TRepeater TRepeaterCommandEventParameter TRepeaterItem TRepeaterItemCollection TRepeaterItemEventParameter TRepeaterItemRenderer TRepeatInfo TRepeatLayout TRequiredFieldValidator TSafeHtml TScrollBars TServerValidateEventParameter TSlider TSliderClientScript TSliderDirection TStatements TStyle TStyleSheet TTable TTableCaptionAlign TTableCell TTableCellCollection TTableFooterRow TTableGridLines TTableHeaderCell TTableHeaderRow TTableHeaderScope TTableItemStyle TTableRow TTableRowCollection TTableRowSection TTableStyle TTabPanel TTabView TTabViewCollection TTemplateColumn TTemplatedWizardStep TTextAlign TTextBox TTextBoxAutoCompleteType TTextBoxMode TTextHighlighter TTextHighlighterLineNumberStyle TValidationCompareOperator TValidationDataType TValidationSummary TValidationSummaryDisplayMode TValidationSummaryDisplayStyle TValidatorClientSide TValidatorDisplayStyle TVerticalAlign TView TViewCollection TWebControl TWebControlAdapter TWizard TWizardFinishNavigationTemplate TWizardNavigationButtonStyle TWizardNavigationButtonType TWizardNavigationContainer TWizardNavigationEventParameter TWizardNavigationTemplate TWizardSideBarListItemTemplate TWizardSideBarTemplate TWizardStartNavigationTemplate TWizardStep TWizardStepCollection TWizardStepNavigationTemplate TWizardStepType TXmlTransform |
Keyword
# Class THyperLinkColumn
    TComponent
       |
       --TApplicationComponent
          |
          --TDataGridColumn
             |
             --THyperLinkColumn
THyperLinkColumn class THyperLinkColumn contains a hyperlink for each item in the column. You can set the text and the url of the hyperlink by Text and NavigateUrl properties, respectively. You can also bind the text and url to specific data field in datasource by setting DataTextField and DataNavigateUrlField. Both can be formatted before rendering according to the DataTextFormatString and and DataNavigateUrlFormatString properties, respectively. If both Text and DataTextField are present, the latter takes precedence. The same rule applies to NavigateUrl and DataNavigateUrlField properties. The hyperlinks in the column can be accessed by one of the following two methods:

     $datagridItem->HyperLinkColumnID->HyperLink
     $datagridItem->HyperLinkColumnID->Controls[0]
The second method is possible because the hyperlink control created within the datagrid cell is the first child. Since: 3.0 Author: Qiang Xue <qiang.xue@gmail.com>
Method Summary
void | dataBindColumn ( mixed $sender, mixed $param) Databinds a cell in the column.
string | getDataNavigateUrlField ()
string | getDataNavigateUrlFormatString ()
string | getDataTextField ()
string | getDataTextFormatString ()
string | getNavigateUrl ()
string | getTarget ()
string | getText ()
void | initializeCell ( TTableCell $cell, integer $columnIndex, string $itemType) Initializes the specified cell to its initial values.
void | setDataNavigateUrlField ( string $value)
void | setDataNavigateUrlFormatString ( string $value)
void | setDataTextField ( string $value)
void | setDataTextFormatString ( string $value)
void | setNavigateUrl ( string $value) Sets the URL to link to when the hyperlink is clicked.
void | setTarget ( string $value) Sets the target window or frame to display the Web page content linked to when the hyperlink is clicked.
void | setText ( string $value) Sets the text caption of the hyperlink.
Methods Inherited From TDataGridColumn
TDataGridColumn::formatDataValue(), TDataGridColumn::getAllowSorting(), TDataGridColumn::getDataFieldValue(), TDataGridColumn::getEnableCellGrouping(), TDataGridColumn::getFooterRenderer(), TDataGridColumn::getFooterStyle(), TDataGridColumn::getFooterText(), TDataGridColumn::getHeaderImageUrl(), TDataGridColumn::getHeaderRenderer(), TDataGridColumn::getHeaderStyle(), TDataGridColumn::getHeaderText(), TDataGridColumn::getID(), TDataGridColumn::getItemStyle(), TDataGridColumn::getOwner(), TDataGridColumn::getSortExpression(), TDataGridColumn::getViewState(), TDataGridColumn::getVisible(), TDataGridColumn::initialize(), TDataGridColumn::initializeCell(), TDataGridColumn::initializeFooterCell(), TDataGridColumn::initializeHeaderCell(), TDataGridColumn::loadState(), TDataGridColumn::saveState(), TDataGridColumn::setEnableCellGrouping(), TDataGridColumn::setFooterRenderer(), TDataGridColumn::setFooterText(), TDataGridColumn::setHeaderImageUrl(), TDataGridColumn::setHeaderRenderer(), TDataGridColumn::setHeaderText(), TDataGridColumn::setID(), TDataGridColumn::setOwner(), TDataGridColumn::setSortExpression(), TDataGridColumn::setViewState(), TDataGridColumn::setVisible()
Methods Inherited From TApplicationComponent
TApplicationComponent::getApplication(), TApplicationComponent::getRequest(), TApplicationComponent::getResponse(), TApplicationComponent::getService(), TApplicationComponent::getSession(), TApplicationComponent::getUser(), TApplicationComponent::publishAsset(), TApplicationComponent::publishFilePath()
Methods Inherited From TComponent
TComponent::addParsedObject(), TComponent::attachEventHandler(), TComponent::canGetProperty(), TComponent::canSetProperty(), TComponent::createdOnTemplate(), TComponent::detachEventHandler(), TComponent::evaluateExpression(), TComponent::evaluateStatements(), TComponent::getEventHandlers(), TComponent::getSubProperty(), TComponent::hasEvent(), TComponent::hasEventHandler(), TComponent::hasProperty(), TComponent::raiseEvent(), TComponent::setSubProperty(), TComponent::__get(), TComponent::__set()
Method Details
## dataBindColumn
public void dataBindColumn | (mixed $sender , mixed $param )
Databinds a cell in the column. This method is invoked when datagrid performs databinding. It populates the content of the cell with the relevant data from data source.
Input
mixed | $sender |
mixed | $param |
Output
Exception
## getDataNavigateUrlField
public string getDataNavigateUrlField | ()
Output
string | the field name from the data source to bind to the navigate url of hyperlink
Exception
## getDataNavigateUrlFormatString
public string getDataNavigateUrlFormatString | ()
Output
string | the formatting string used to control how the navigate url of hyperlink will be displayed.
Exception
## getDataTextField
public string getDataTextField | ()
Output
string | the field name from the data source to bind to the hyperlink caption
Exception
## getDataTextFormatString
public string getDataTextFormatString | ()
Output
string | the formatting string used to control how the hyperlink caption will be displayed.
Exception
## getNavigateUrl
public string getNavigateUrl | ()
Output
string | the URL to link to when the hyperlink is clicked.
Exception
## getTarget
public string getTarget | ()
Output
string | the target window or frame to display the Web page content linked to when the hyperlink is clicked.
Exception
## getText
public string getText | ()
Output
string | the text caption of the hyperlink
Exception
## initializeCell
public void initializeCell | (TTableCell $cell , integer $columnIndex , string $itemType )
Initializes the specified cell to its initial values. This method overrides the parent implementation. It creates a hyperlink within the cell.
Input
TTableCell | $cell | the cell to be initialized.
integer | $columnIndex | the index to the Columns property that the cell resides in.
string | $itemType | the type of cell (Header,Footer,Item,AlternatingItem,EditItem,SelectedItem)
Output
Exception
## setDataNavigateUrlField
public void setDataNavigateUrlField | (string $value )
Input
string | $value | the field name from the data source to bind to the navigate url of hyperlink
Output
Exception
## setDataNavigateUrlFormatString
public void setDataNavigateUrlFormatString | (string $value )
Input
string | $value | the formatting string used to control how the navigate url of hyperlink will be displayed.
Output
Exception
## setDataTextField
public void setDataTextField | (string $value )
Input
string | $value | the field name from the data source to bind to the hyperlink caption
Output
Exception
## setDataTextFormatString
public void setDataTextFormatString | (string $value )
Input
string | $value | the formatting string used to control how the hyperlink caption will be displayed.
Output
Exception
## setNavigateUrl
public void setNavigateUrl | (string $value )
Sets the URL to link to when the hyperlink is clicked.
Input
string | $value | the URL
Output
Exception
## setTarget
public void setTarget | (string $value )
Sets the target window or frame to display the Web page content linked to when the hyperlink is clicked.
Input
string | $value | the target window, valid values include '_blank', '_parent', '_self', '_top' and empty string.
Output
Exception
## setText
public void setText | (string $value )
Sets the text caption of the hyperlink.
Input
string | $value | the text caption to be set
Output
Exception